# Uses of Interface
ch.qos.logback.core.rolling.helper.ArchiveRemover

Packages that use ArchiveRemover
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.

## Uses of ArchiveRemover in ch.qos.logback.core.rolling

Fields in ch.qos.logback.core.rolling declared as ArchiveRemover
Modifier and Type
Field
Description
`protected ArchiveRemover`
TimeBasedFileNamingAndTriggeringPolicyBase.`archiveRemover`
Methods in ch.qos.logback.core.rolling that return ArchiveRemover
Modifier and Type
Method
Description
`protected ArchiveRemover`
SizeAndTimeBasedFNATP.`createArchiveRemover()`
`ArchiveRemover`
TimeBasedFileNamingAndTriggeringPolicy.`getArchiveRemover()`
Return the archive remover appropriate for this instance.
`ArchiveRemover`
TimeBasedFileNamingAndTriggeringPolicyBase.`getArchiveRemover()`

## Uses of ArchiveRemover in ch.qos.logback.core.rolling.helper

Classes in ch.qos.logback.core.rolling.helper that implement ArchiveRemover
Modifier and Type
Class
Description
`class`
`SizeAndTimeBasedArchiveRemover`
`class`
`TimeBasedArchiveRemover`